Subject: Re: Kevent POSIX timers support.

From: Ulrich Drepper <[email-masked]>
Date: Mon, 27 Nov 2006 10:20:50 -0800

Evgeniy Polyakov wrote:
>> We need to pass the data in the sigev_value meember of the struct 
>> sigevent structure passed to timer_create to the caller.  I don't see it 
>> being done here nor when the timer is created.  Do I miss something? 
>> The sigev_value value should be stored in the user/ptr member of struct 
>> ukevent.
> 
> sigev_value was stored in k_itimer structure, I just do not know where
> to put it in the ukevent provided to userspace - it can be placed in
> pointer value if you like.

sigev_value is a union and the largest element is a pointer.  So, 
transporting the pointer value is sufficient and it should be passed up 
to the user in the ptr member of struct ukevent.

-- 
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖